# jukebox - http://raf.org/jukebox/
#
# Copyright (C) 2002 raf <raf@raf.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# or visit http://www.gnu.org/copyleft/gpl.html

# This file is /etc/jukebox.conf
#
# This file specifies default values for the parameters needed
# by the jukebox software. That means the following commands:
#
#   rip        - read an audio cd to wav/mp3/ogg/flac... files and create a tocfile
#   riptrack   - read selected tracks from an audio cd into wav files
#   mktoc      - create a tocfile template for some wav/mp3/ogg/flac... files
#   toc2names  - name wav/mp3/ogg/flac... files based on the contents of a tocfile
#   toc2tags   - add tags to mp3/ogg/flac files based on the contents of a tocfile
#
#   cdr             - write files/directories or an iso9660 image to cdr
#   cdrw            - write files/directories or an iso9660 image to cdrw
#   burn            - write wav files onto an audio cdr
#   burnw           - write wav files onto an audio cdrw
#   cdbackup        - backup an audio cd onto a cdr
#   mp3backup       - backup an mp3/ogg collection onto cdr/dvd discs
#
#   jukebox         - play selected music continuously in random order
#   jukeboxd        - jukebox network server
#   jukeboxc        - command line jukebox network client
#   jukeboxc.jar    - graphical jukebox network client
#   jukeboxd-init.d - jukebox network server init script
#
# If the details are not specified here, these scripts will use their
# own default values (device 0,0,0 speed 24x/10x/40x with burnproof,
# tracks in /mnt/music, use cdparanoia, bladeenc and cdrdao...)
#
# 20021208 raf <raf@raf.org>

# cdrom/cdr/cdrw device to read from (SCSI notation needed by cdrecord)

cdr_rdev='0,0,0'

# cdr/cdrw device to write to (SCSI notation needed by cdrecord)

cdr_wdev='0,0,0'

# cdr/cdr options

cdr_opt='burnproof'

# cdr disc size (in MB)

cdr_size='700'

# cdr write speed

cdr_spd='24'

# cdrw write speed

cdrw_spd='10'

# cd read speed

cdrd_spd='40'

# cdda to wav reader

cdr_rip='cdparanoia'
#cdr_rip='cdda2wav'

# wav to mp3/ogg/flac... encoder

#wav_enc='lame'
#wav_enc='notlame'
#wav_enc='gogo'
wav_enc='bladeenc'
#wav_enc='oggenc'
#wav_enc='flac'

# average encoding bitrate

#enc_bits='128'
enc_bits='192'
#enc_bits='224'
#enc_bits='256'
#enc_bits='320'

# wav to cdr writer

#cdr_bak='cdrecord'
cdr_bak='cdrdao'

# cdrw device driver for cdrdao

cdr_drv='generic-mmc'

# source device driver for cdrdao

cdr_sdrv='generic-mmc'

# colon separated list of paths containing wav/mp3 tracks

juke_root='/mnt/music'

# temp directory with enough space for an entire cd

juke_tmp='/mnt/music/tmp'

# file glob for table of contents files (must have exactly one '*')

juke_toc='00*.toc'

# list of valid track file name extensions

juke_fmt='wav,mp3,ogg,flac'

# mappings from sound file formats to programs that play those formats

# format: <mp3player> or <ext>[:=]<player>(,<ext>[:=]<player>)*
#         % replaced with trackfile, %% replaced with %

juke_player='wav=play,mp3=mpg321 -q,ogg=ogg123 -q,flac=flac -sdc % | play -t wav -'

# the jukebox server hostname (for jukeboxc)

juke_host='jukebox'

# the address to which the jukebox server should bind

juke_addr='0.0.0.0'

# the tcp port on which the jukebox server should listen

juke_port='1221'

# name of the user as which to run the jukebox daemon

juke_user='jukebox'

# the delay in seconds between random tracks (for jukeboxd)

juke_gap='2'

# long or short options for jukebox and jukeboxc?

juke_opts='short'
#juke_opts='long'

# track naming style for toc2names

juke_names='simple'
#juke_names='complex'

